Bug 244272 - games/scummvm: Update to 2.1.1
Summary: games/scummvm: Update to 2.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://www.scummvm.org/frs/scummvm/2...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-21 09:56 UTC by Kai Knoblich
Modified: 2020-03-21 11:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lme)
kai: merge-quarterly+


Attachments
scummvm-2.1.1.patch (2.31 KB, patch)
2020-02-21 09:56 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-02-21 09:56:39 UTC
Created attachment 211794 [details]
scummvm-2.1.1.patch

Hi Lars,

attached is the patch that updates games/scummvm to 2.1.1.

Changes to the port:

* Fix plist issues if the MP3 option is set to off [1]
* Add "iconv" to USES as scummvm is linked against libiconv.so. [2]
* Also add "--disable-ogg" to VORBIS_CONFIGURE_OFF if the VORBIS option is set to off. "libogg.so" is pulled in via "libtheoradec.so" and then automatically detected in the configure phase.

MFH'ing this update would be benefical for users that use the quartely branches as the 2.1.1 release fixes some annoying bugs in various engines.

QA:
~~~
- poudriere (11.3-, 12.0-, 12.1-RELEASE, 13.0-CURRENT amd64 + i386) with default options/all options/no options -> OK
- Runtime test on 12.1-RELEASE amd64 with default options -> OK

----

[1] Reported plist issues in the stage-qa if the MP3 option is set to off:

> ===> Checking for items in pkg-plist which are not in STAGEDIR
> Error: Missing: %%DATADIR%%/titanic.dat

[2] Reported error regarding "libiconv.so" in the stage-qa:

> Error: /usr/local/bin/scummvm is linked to /usr/local/lib/libiconv.so.2 from converters/libiconv but it is not declared as a dependency
> Warning: you need USES+=iconv, USES+=iconv:wchar_t, or USES+=iconv:translit depending on needs

[3] Reported error regarding "libogg.so" if the VORBIS option is set to off in the stage-qa:

> Error: /usr/local/bin/scummvm is linked to /usr/local/lib/libogg.so.0 from audio/libogg but it is not declared as a dependency
> Warning: you need LIB_DEPENDS+=libogg.so:audio/libogg
Comment 1 Automation User 2020-03-07 00:24:23 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/124100386
Comment 2 commit-hook freebsd_committer 2020-03-21 10:49:09 UTC
A commit references this bug:

Author: kai
Date: Sat Mar 21 10:48:33 UTC 2020
New revision: 528846
URL: https://svnweb.freebsd.org/changeset/ports/528846

Log:
  games/scummvm: Update to 2.1.1

  Clean-up some stage QA warnings/issues while I'm here:

  * Fix pkg-plist issues if the MP3 option is set to off.

  * Add "iconv" to USES as scummvm is linked against libiconv.so.

  * Also add "--disable-ogg" to VORBIS_CONFIGURE_OFF if the VORBIS option is
    set to off.  Otherwise scummvm is linked against "libogg.so" which is a
    dependency of the VORBIS option but "libogg.so" is already pulled in via
    the non-conditional "libtheoradec.so".

  Changelog:

  https://www.scummvm.org/news/20200131/

  PR:		244272
  Approved by:	maintainer timeout (4+ weeks)
  MFH:		2020Q1 (blanket: bug/regression fixes)

Changes:
  head/games/scummvm/Makefile
  head/games/scummvm/distinfo
  head/games/scummvm/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-03-21 11:02:11 UTC
A commit references this bug:

Author: kai
Date: Sat Mar 21 11:01:46 UTC 2020
New revision: 528847
URL: https://svnweb.freebsd.org/changeset/ports/528847

Log:
  MFH: r524970 r528846

  games/scummvm: Unbreak build with FLUIDSYNTH=on

  games/scummvm: Update to 2.1.1

  Clean-up some stage QA warnings/issues while I'm here:

  * Fix pkg-plist issues if the MP3 option is set to off.

  * Add "iconv" to USES as scummvm is linked against libiconv.so.

  * Also add "--disable-ogg" to VORBIS_CONFIGURE_OFF if the VORBIS option is
    set to off.  Otherwise scummvm is linked against "libogg.so" which is a
    dependency of the VORBIS option but "libogg.so" is already pulled in via
    the non-conditional "libtheoradec.so".

  Changelog:

  https://www.scummvm.org/news/20200131/

  PR:		244272
  Approved by:	maintainer timeout (4+ weeks)

  Approved by:	ports-secteam build/bugfix blanket

Changes:
_U  branches/2020Q1/
  branches/2020Q1/games/scummvm/Makefile
  branches/2020Q1/games/scummvm/distinfo
  branches/2020Q1/games/scummvm/pkg-plist
Comment 4 Kai Knoblich freebsd_committer 2020-03-21 11:09:41 UTC
Comment on attachment 211794 [details]
scummvm-2.1.1.patch

^ Triage: Setting maintainer-approval to '+' due maintainer timeout.